<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.1.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"
            integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
            crossorigin="anonymous"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"
            integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
            crossorigin="anonymous"></script>
</head>
<body>
<div class="container">
    <h2 class="display-3 text-center table-striped">Registration Form</h2>
    <table class="table table-bordered">
        <thead class="thead-dark">
        <th>Course ID</th>
        <th>Course Name</th>
        <th>Register/Cancel</th>
        </thead>
        {% for entry in course_list %}
            <tr>
                <td>{{ entry.courseId }}</td>
                <td>{{ entry.courseName }}</td>
                {% if entry.already_registerd %}
                    <td><input type="button" value="Cancel" id="id_{{ entry.pk }}" name="withdraw_button" class="form-control"/></td>
                {% else %}
                    <td><input type="button" value="Register" id="id_{{ entry.pk }}" name="enroll_button" class="form-control"/></td>
                {% endif %}
            </tr>
        {% endfor %}
    </table>
</div>
</body>
<script>
    $('input[name="enroll_button"]').click(function () {
        var currentPk = this.id.split('_')[1];
        var data = {
            'selected_pk': currentPk,
            'mode': 'register',
            csrfmiddlewaretoken: '{{ csrf_token }}'
        }
        $.ajax({
            type: 'POST',
            url: '{% url 'view_registration_form' %}',
            data: data,
            success: function () {
                location.reload();
            }
        });
    })

    $('input[name="withdraw_button"]').click(function () {
        var currentPk = this.id.split('_')[1];
        var data = {
            'selected_pk': currentPk,
            'mode': 'cancel',
            csrfmiddlewaretoken: '{{ csrf_token }}'
        }
        $.ajax({
            type: 'POST',
            url: '{% url 'view_registration_form' %}',
            data: data,
            success: function () {
                location.reload();
            }
        });
    })
</script>
</html>